#This file is part of STS-RV
#Copyright 2004, Ricard Vil
#
#STS-RV is distributed under GNU General Public License

#Semeai test suite for class 0 semeai with search (should be a depth 1 search )

#/***********************
# * Solving Semeai by S *
# ***********************/
#
#/* Function:  Call search algorithm to solve semeai.
# * Arguments: vertex for essential white/black block, vertex for essential black/white block. First color is assumed to play.
# * Fails:     invalid vertex, empty vertex, vertices of same colors
# * Returns:   Semeai status (if play) followed by move to play. 0=Looser, 1=Winner, 2=Seki, 3=Unknown, 4 = Ko
# */
# gtp command: solve_semeaiS

loadsgf Sgf_test_files/Class01eProblems/_semeai_C0_001.sgf
1 solve_semeaiS A10 A11
#? [0 PASS]

2 solve_semeaiS A11 A10
#? [1 PASS]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C0_002.sgf
3 solve_semeaiS L1 N1
#? [2 PASS]

4 solve_semeaiS N1 L1
#? [2 PASS]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C0_003.sgf
5 solve_semeaiS H1 K1
#? [2 PASS]

6 solve_semeaiS K1 H1
#? [2 PASS]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C0_004.sgf
7 solve_semeaiS A11 A10
#? [1 (A9|B9|C9|D9|E9|F9|G9|H9|J9|K9|L9|M9|N9|O9|P9|Q9|R9|S9|T9)]

8 solve_semeaiS A10 A11
#? [1 (A12|B12|C12|D12|E12|F12|G12|H12|J12|K12|L12|M12|N12|O12|P12|Q12|R12|S12|T12)]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C0_005.sgf
9 solve_semeaiS A11 A10
#? [0 PASS]

10 solve_semeaiS A10 A11
#? [1 PASS]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C0_006.sgf
11 solve_semeaiS A16 A17
#? [1 B18|C18|D18]

12 solve_semeaiS A17 A16
#? [1 A15|B15|B14]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C0_007.sgf
13 solve_semeaiS H9 G9
#? [2 PASS]

14 solve_semeaiS G9 H9
#? [2 PASS]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C0_008.sgf
15 solve_semeaiS K13 L13 
#? [1 (M10|M12)]

16 solve_semeaiS L13 K13
#? [2 (H11|H12|J13)]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C0_009.sgf
17 solve_semeaiS K13 L13
#? [1 (M10|M11|M12)]

18 solve_semeaiS L13 K13
#? [1 (H11|H12|J13)]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C0_010.sgf
19 solve_semeaiS J14 H14
#? [1 PASS]

20 solve_semeaiS H14 J14
#? [0 PASS]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C0_011.sgf
21 solve_semeaiS J14 H14
#? [1 (G12|G13|G14)]

22 solve_semeaiS H14 J14
#? [1 (L10|L12|L13)]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C0_012.sgf
23 solve_semeaiS J14 H14
#? [1 (G12|G13|G14)]

24 solve_semeaiS H14 J14
#? [1 (L10|L11|L12)]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C0_013.sgf
25 solve_semeaiS A10 A11
#? [1 (A12|C12)]

26 solve_semeaiS A11 A10
#? [1 (A9|C9)]
