#This file is part of STS-RV
#Copyright 2004, Ricard Vil
#
#STS-RV is distributed under GNU General Public License

#Semeai test suite for class 1 semeai with search (should be a depth 1 search )

#/***********************
# * Solving Semeai by S *
# ***********************/
#
#/* Function:  Call search algorithm to solve semeai.
# * Arguments: vertex for essential white/black block, vertex for essential black/white block. First color is assumed to play.
# * Fails:     invalid vertex, empty vertex, vertices of same colors
# * Returns:   Semeai status (if play) followed by move to play. 0=Looser, 1=Winner, 2=Seki, 3=Unknown, 4=Ko
# */
# gtp command: solve_semeaiS

loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_001.sgf
1 solve_semeaiS J19 L19
#? [0 PASS]

2 solve_semeaiS L19 J19
#? [1 PASS]

3 solve_semeaiS C10 C9
#? [1 (D8|C3|B3|A3)]

4 solve_semeaiS C9 C10
#? [1 (A10|A12|B11)]

5 solve_semeaiS K3 L3
#? [1 (M4|N4|R3|R2|R1)]

6 solve_semeaiS L3 K3
#? [1 (J2|K1|H1)]

7 solve_semeaiS Q10 Q11
#? [1 (T16|S16|R16|Q15|Q14)]

8 solve_semeaiS Q11 Q10
#? [1 (S8|T9|T7)]


loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_002.sgf
9 solve_semeaiS B18 A18
#? [1 (D19|D18)]

10 solve_semeaiS A18 B18
#? [1 A17]

11 solve_semeaiS S18 T18
#? [1 (Q19|Q18)]

12 solve_semeaiS T18 S18
#? [1 T17]

13 solve_semeaiS B2 A2
#? [1 PASS]

14 solve_semeaiS A2 B2
#? [0 PASS]

15 solve_semeaiS S2 T2
#? [1 PASS]

16 solve_semeaiS T2 S2
#? [0 PASS]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_003.sgf
17 solve_semeaiS E19 F19
#? [1 (D14|C14|C13|C12|C11|B10)]

18 solve_semeaiS F19 E19
#? [1 A16]

19 solve_semeaiS T5 T6
#? [1 (R7|Q7|P6|O5|O4|O3|N3|M3|L3|K2)]

20 solve_semeaiS T6 T5
#? [1 (R3|S4|S2|T3)]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_004.sgf
21 solve_semeaiS C15 C16
#? [2 PASS]

22 solve_semeaiS C16 C15
#? [2 PASS]

23 solve_semeaiS C5 C4
#? [2 (C3|C2)]

24 solve_semeaiS C4 C5
#? [1 (A5|B5)]

25 solve_semeaiS T5 T4
#? [1 T3]

26 solve_semeaiS T4 T5
#? [1 T7]

27 solve_semeaiS S15 S16
#? [2 PASS]

28 solve_semeaiS S16 S15
#? [2 PASS]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_005.sgf
29 solve_semeaiS A16 A17
#? [1 (A18|A19)]

30 solve_semeaiS A17 A16
#? [1 (A15|A14)]

31 solve_semeaiS C4 C3
#? [2 PASS]

32 solve_semeaiS C3 C4
#? [2 PASS]

33 solve_semeaiS S5 S4
#? [1 T4]

34 solve_semeaiS S4 S5
#? [2 (T7|T6)]

35 solve_semeaiS T15 T16
#? [2 PASS]

36 solve_semeaiS T16 T15
#? [2 PASS]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_006.sgf
37 solve_semeaiS A16 A17
#? [1 (E19|E18)]

38 solve_semeaiS A17 A16
#? [1 (A11|B11)]

39 solve_semeaiS D4 D3
#? [2 (E2|E1|A2|C2|A8)]
#A8 is deprecated but also achieves seki.

40 solve_semeaiS D3 D4
#? [1 (C6|C7)]

41 solve_semeaiS S4 S3
#? [2 (T2|R2|T8)]

42 solve_semeaiS S3 S4
#? [1 T4]

#Unexpected behavior. Black can choose between both living or killing
43 solve_semeaiS S15 S16
#? [1 S18]*

44 solve_semeaiS S16 S15
#? [2 (T13|S18|R11|R12)]*
#R11 R12 deprecated leave more ko threats

45 solve_semeaiS N14 N15
#? [1 H12]*

46 solve_semeaiS N15 N14
#? [1 H12]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_007.sgf
47 solve_semeaiS A15 A16
#? [1 (A18|A17|B18|B17)]

48 solve_semeaiS A16 A15
#? [1 (C13|C14)]

49 solve_semeaiS E2 D2
#? [2 (A5|B5|A3|B1)]

50 solve_semeaiS D2 E2
#? [1 J1]

51 solve_semeaiS Q18 R18
#? [2 PASS]

52 solve_semeaiS R18 Q18
#? [2 PASS]

53 solve_semeaiS S3 S4
#? [1 R6]

54 solve_semeaiS S4 S3
#? [2 (O2|O1|R2|Q1|S1)]

55 solve_semeaiS K14 L14
#? [1 (P12|P11|O10|M9)]

56 solve_semeaiS L14 K14
#? [2 (J15|H15|F14|E13|E12|F10)]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_008.sgf
57 solve_semeaiS A16 A17
#? [1 B19]

58 solve_semeaiS A17 A16
#? [1 (B13|A14)]

59 solve_semeaiS B4 B3
#? [0 PASS]*

60 solve_semeaiS B3 B4
#? [1 PASS]*

61 solve_semeaiS R2 Q2
#? [1 T3]*

62 solve_semeaiS Q2 R2
#? [2 T3]*

63 solve_semeaiS P15 Q15
#? [2 PASS]

64 solve_semeaiS Q15 P15
#? [2 PASS]

65 solve_semeaiS K10 K9
#? [2 PASS]

66 solve_semeaiS K9 K10
#? [2 PASS]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_009.sgf
67 solve_semeaiS E18 D18
#? [1 (B14|C14|A17|B17|C17|B16)]

68 solve_semeaiS D18 E18
#? [2 (G15|H15|K19|K18|G17|G19|F18|H18)]

69 solve_semeaiS A5 A6
#? [1 D6

70 solve_semeaiS A6 A5
#? [2 (C3|B4)]

71 solve_semeaiS S4 S5
#? [0 PASS]

72 solve_semeaiS S5 S4
#? [1 PASS]

73 solve_semeaiS N16 N15
#? [2 PASS]

74 solve_semeaiS N15 N16
#? [2 PASS]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_010.sgf
75 solve_semeaiS A15 A16
#? [1 (C18|B17|D17)]*

76 solve_semeaiS A16 A15
#? [1 (C18|B17|D17)]*

77 solve_semeaiS E1 F1
#? [1 PASS]*

78 solve_semeaiS F1 E1
#? [0 PASS]*

loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_011.sgf
79 solve_semeaiS A15 A16
#? [1 (E19|F18|F17)]

80 solve_semeaiS A16 A15
#? [2 (F12|F11|F10|F9|E8|D8)]

81 solve_semeaiS D2 E2
#? [1 E1]

82 solve_semeaiS E2 D2
#? [2 B2]

83 solve_semeaiS R3 Q3
#? [2 PASS]

84 solve_semeaiS Q3 R3
#? [2 PASS]

85 solve_semeaiS Q19 P19
#? [1 (N17|L16)]

86 solve_semeaiS P19 Q19
#? [1 (Q17|R16)]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_012.sgf
87 solve_semeaiS E19 D19
#? [1 (B17|D17)]

88 solve_semeaiS D19 E19
#? [1 (G19|J17|K17|L17|M17|G16|G15|G14|F13|E13|D13|C13|B13|A13)]

89 solve_semeaiS O5 P5
#? [1 (T5|S6)]

90 solve_semeaiS P5 O5
#? [1 (B3|C3|D3|D4|D5|E6|F5|F4|F3|G3|H3|J3|J1|K4|L4)]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_013.sgf
91 solve_semeaiS E19 D19  
#? [0 PASS]

92 solve_semeaiS D19 E19  
#? [1 PASS]

93 solve_semeaiS O5 P5	  
#? [0 PASS]

94 solve_semeaiS P5 O5	  
#? [1 PASS]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_014.sgf
95 solve_semeaiS E19 D19   
#? [1 PASS]

96 solve_semeaiS D19 E19  
#? [0 PASS]

97 solve_semeaiS O5 P5	  
#? [1 PASS]

98 solve_semeaiS P5 O5	  
#? [0 PASS]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_015.sgf
99 solve_semeaiS E18 F18  
#? [2 PASS]*

100 solve_semeaiS F18 E18  
#? [2 PASS]*

loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_016.sgf
101 solve_semeaiS A14 A15
#? [1 C17]

102 solve_semeaiS A15 A14
#? [1 C17]

103 solve_semeaiS A6 A5
#? [1 B3]

104 solve_semeaiS A5 A6
#? [1 B3]

105 solve_semeaiS T6 T5
#? [0 PASS]

106 solve_semeaiS T5 T6
#? [1 PASS]

107 solve_semeaiS T14 T15
#? [1 T17]

108 solve_semeaiS T15 T14
#? [1 T17]

109 solve_semeaiS F10 G10
#? [1 J11]

110 solve_semeaiS G10 F10
#? [1 J11]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_017.sgf
111 solve_semeaiS A14 A15
#? [0 PASS]*

112 solve_semeaiS A15 A14
#? [1 PASS]*

113 solve_semeaiS A4 A3
#? [1 B2]

114 solve_semeaiS A3 A4
#? [1 B2]

115 solve_semeaiS T14 T15
#? [1 S17]

116 solve_semeaiS T15 T14
#? [1 S17]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_018.sgf
117 solve_semeaiS T14 T15
#? [0 PASS]

118 solve_semeaiS T15 T14
#? [1 PASS]

119 solve_semeaiS A4 A3
#? [1 C2]

120 solve_semeaiS A3 A4
#? [1 C2]

121 solve_semeaiS A14 A15
#? [1 C17]

122 solve_semeaiS A15 A14
#? [1 C17]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_019.sgf
123 solve_semeaiS A14 A15
#? [1 B17]

124 solve_semeaiS A15 A14
#? [1 B17]

125 solve_semeaiS A4 A3
#? [0 PASS]

126 solve_semeaiS A3 A4
#? [1 PASS]

127 solve_semeaiS T5 T4
#? [1 R3]

128 solve_semeaiS T4 T5
#? [1 R3]

129 solve_semeaiS T13 T15
#? [1 (S18|T16)]*

130 solve_semeaiS T15 T13
#? [1 (S18|T16)]*

131 solve_semeaiS G10 H10
#? [1 K9]

132 solve_semeaiS H10 G10
#? [1 K9]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_020.sgf
133 solve_semeaiS A14 A15
#? [1 A18]

134 solve_semeaiS A15 A14
#? [1 A18]

135 solve_semeaiS A4 A3
#? [1 C2]

136 solve_semeaiS A3 A4
#? [1 C2]

137 solve_semeaiS T5 T4
#? [1 R3]

138 solve_semeaiS T4 T5
#? [1 R3]

139 solve_semeaiS T13 T15
#? [1 PASS]

140 solve_semeaiS T15 T13
#? [0 PASS]

141 solve_semeaiS G10 H10
#? [1 PASS]*

142 solve_semeaiS H10 G10
#? [0 PASS]*

loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_021.sgf
143 solve_semeaiS A14 A15
#? [1 A18]

144 solve_semeaiS A15 A14
#? [2 A18]

145 solve_semeaiS A4 A3
#? [0 PASS]

146 solve_semeaiS A3 A4
#? [1 PASS]

147 solve_semeaiS T5 T4
#? [1 PASS]

148 solve_semeaiS T4 T5
#? [0 PASS]

149 solve_semeaiS T13 T15
#? [0 PASS]

150 solve_semeaiS T15 T13
#? [1 PASS]

151 solve_semeaiS G10 H10
#? [1 J10]

152 solve_semeaiS H10 G10
#? [1 J10]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_022.sgf
153 solve_semeaiS A14 A15
#? [2 G19]

154 solve_semeaiS A15 A14
#? [1 G19]

155 solve_semeaiS A4 A2
#? [1 C2]

156 solve_semeaiS A2 A4
#? [1 C2]

157 solve_semeaiS T5 T4
#? [1 R3]

158 solve_semeaiS T4 T5
#? [1 (N3|O5|P6|Q6|R6|S6|T6)]

159 solve_semeaiS T13 T15
#? [1 (S18|T16)]

160 solve_semeaiS T15 T13
#? [1 (N17|017|O16|O15|O14|R13|T12)]

161 solve_semeaiS G10 H10
#? [1 PASS]

162 solve_semeaiS H10 G10
#? [0 PASS]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_023.sgf
163 solve_semeaiS A15 A16
#? [1 C18]

164 solve_semeaiS A16 A15
#? [2 C18]

165 solve_semeaiS E1 F1
#? [1 D2]

166 solve_semeaiS F1 E1
#? [1 D2]

167 solve_semeaiS T8 T7
#? [1 T6]

168 solve_semeaiS T7 T8
#? [1 (T10|R10|S11)]
#Check the status of semiai if pass. Should be looser not seki. Checked and OK.

169 solve_semeaiS O19 N19
#? [1 K18]

170 solve_semeaiS N19 O19
#? [2 K18]

171 solve_semeaiS J12 K12
#? [1 J10]

172 solve_semeaiS K12 J12
#? [1 J10]


loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_024.sgf
173 solve_semeaiS A15 A16
#? [1 D17]

174 solve_semeaiS A16 A15
#? [1 B12]
#Check what is the seki value for the program. Checked: winning= 96, seki = 34 for each. Not very accurate. For black should be 44.

175 solve_semeaiS F1 G1
#? [1 H2]

176 solve_semeaiS G1 F1
#? [2 H2]

177 solve_semeaiS T8 T7
#? [1 S4]

178 solve_semeaiS T7 T8
#? [1 S11]
#Check the status of semiai if pass. Should be looser not seki. Checked and OK

179 solve_semeaiS O19 N19
#? [2 Q17]

180 solve_semeaiS N19 O19
#? [1 Q17]
#Check status if pass. Should be looser for black and seki for white. Checked and OK.

181 solve_semeaiS J12 K12
#? [1 J10]

182 solve_semeaiS K12 J12
#? [1 J10]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_025.sgf
183 solve_semeaiS A14 A15
#? [1 C11]

184 solve_semeaiS A15 A14
#? [1 C11]

185 solve_semeaiS F1 G1
#? [1 J2]

186 solve_semeaiS G1 F1
#? [1 J2]*
#Though B2 is also possible it leaves more ko threads and should be avoded

187 solve_semeaiS T8 T7
#? [1 R4]

188 solve_semeaiS T7 T8
#? [2 R4]

189 solve_semeaiS O19 N19
#? [1 L18]

190 solve_semeaiS N19 O19
#? [2 L18]
#Check status if pass. Should be looser for White and seki for Black.

191 solve_semeaiS J12 J13
#? [1 J11]

192 solve_semeaiS J13 J12
#? [1 J11]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_026.sgf
193 solve_semeaiS A14 A15
#? [2 PASS]

194 solve_semeaiS A15 A14
#? [2 PASS]

195 solve_semeaiS F1 G1
#? [1 K2]

196 solve_semeaiS G1 F1
#? [1 D3]

197 solve_semeaiS T8 T7
#? [1 (T4|S3|T1)]

198 solve_semeaiS T7 T8
#? [1 (R12|R10|S10)]

199 solve_semeaiS O19 N19
#? [2 Q17]

200 solve_semeaiS N19 O19
#? [1 Q17]
#Check status if pass. Should be looser for Black and seki for white.

201 solve_semeaiS J12 K12
#? [1 H8]

202 solve_semeaiS K12 J12
#? [1 H8]

loadsgf Sgf_test_files/Class01eProblems/_semeai_C1_027.sgf
203 solve_semeaiS F19 G19
#? [1 B19]

204 solve_semeaiS G19 F19
#? [1 B19]

205 solve_semeaiS D1 E1
#? [1 C2]

206 solve_semeaiS E1 D1
#? [1 C2]

207 solve_semeaiS T5 T6
#? [1 R4]

208 solve_semeaiS T6 T5
#? [1 R4]
