#This file is part of STS-RV
#Copyright 2004, Ricard Vil
#
#STS-RV is distributed under GNU General Public License

#Semeai test suite for class s semeai with search 

#Problems taken from Get Strong At Tesuji, Richard Bozulich, Kiseido
#Publishing Company

#/***********************
# * Solving Semeai by S *
# ***********************/
#
#/* Function:  Call search algorithm to solve semeai.
# * Arguments: vertex for essential white/black block, vertex for essential black/white block. 
# * First color is assumed to play.
# * Fails:     invalid vertex, empty vertex, vertices of same colors
# * Returns:   Semeai status (if play) followed by move to play. 0=Looser, 1=Winner, 2=Seki, 3=Unknown, 4=Ko
# */
# gtp command: solve_semeaiS

loadsgf Sgf_test_files/GSATProblems/_semeai_GSAT_001.sgf
1 solve_semeaiS B2 C2
#? [1 B1]

2 solve_semeaiS C2 B2
#? [1 (B1|A2)]

3 solve_semeaiS Q2 P2
#? [1 Q1]

4 solve_semeaiS P2 Q2
#? [4 Q1]

5 solve_semeaiS R15 R16
#? [1 S18]

6 solve_semeaiS R16 R15
#? [1 (S18|S14|R14|T15)]

7 solve_semeaiS D18 C18
#? [1 B18]

8 solve_semeaiS C18 D18
#? [1 (B18|E18|E17|C19)]

loadsgf Sgf_test_files/GSATProblems/_semeai_GSAT_002.sgf
9 solve_semeaiS Q4 Q3
#? [1 R1]

10 solve_semeaiS Q3 Q4
#? [1 R1]

11 solve_semeaiS F4 F3
#? [1 D1]

12 solve_semeaiS F3 F4
#? [1 (D1|A3|B4)]

13 solve_semeaiS E18 D18
#? [1 C18]

14 solve_semeaiS D18 E18
#? [1 (F19|F18|C18|B17)]

15 solve_semeaiS Q18 Q17
#? [1 R18]

16 solve_semeaiS Q17 Q18
#? [1 (R18|P19)]

loadsgf Sgf_test_files/GSATProblems/_semeai_GSAT_003.sgf
17 solve_semeaiS D2 E2
#? [1 E1]

18 solve_semeaiS E2 D2
#? [1 (D1|E1|C1)]

19 solve_semeaiS Q4 Q3
#? [1 P2]

20 solve_semeaiS Q3 Q4
#? [1 (P3|P2|O2|O3)]

21 solve_semeaiS Q18 Q17
#? [1 P17]

22 solve_semeaiS Q17 Q18
#? [1 (Q19|R19|P17)]

23 solve_semeaiS E18 E17
#? [1 D19]

24 solve_semeaiS E17 E18
#? [1 (E19|D18|D19)]

loadsgf Sgf_test_files/GSATProblems/_semeai_GSAT_004.sgf
25 solve_semeaiS F2 E2
#? [1 D1]

26 solve_semeaiS E2 F2
#? [1 (E3|G2|F1)]

27 solve_semeaiS R3 Q3
#? [1 S1]

28 solve_semeaiS Q3 R3
#? [1 (S2|R2|S1)]

29 solve_semeaiS R17 R18
#? [1 S18]

30 solve_semeaiS R18 R17
#? [1 (S18|R19)]

31 solve_semeaiS E19 D19
#? [1 A18]

32 solve_semeaiS D19 E19
#? [1 (F19|F18|F17|A18)]

loadsgf Sgf_test_files/GSATProblems/_semeai_GSAT_005.sgf
33 solve_semeaiS D2 C2
#? [1 B1]

34 solve_semeaiS C2 D2
#? [1 (B1|E1|D1|E3)]

35 solve_semeaiS R4 Q4
#? [1 T2]

36 solve_semeaiS Q4 R4
#? [1 (T2|R3|S2)]

37 solve_semeaiS Q17 Q16
#? [1 S19]

38 solve_semeaiS Q16 Q17
#? [1 (R19|R17|S19)]

39 solve_semeaiS C18 D18
#? [1 D19]

40 solve_semeaiS D18 C18
#? [1 (A19|B19|D19)]

loadsgf Sgf_test_files/GSATProblems/_semeai_GSAT_006.sgf
41 solve_semeaiS D4 D3
#? [1 C2]

42 solve_semeaiS D3 D4
#? [1 (A4|A3|C2|D2)]

43 solve_semeaiS Q4 Q3
#? [1 S1]

44 solve_semeaiS Q3 Q4
#? [1 (S1|T2|T3|S5)]

45 solve_semeaiS Q18 Q17
#? [1 O18]

46 solve_semeaiS Q17 Q18
#? [1 O18]

47 solve_semeaiS E18 D18
#? [1 B17]

48 solve_semeaiS D18 E18
#? [1 (B17|B18|D19|F19|F17)]

loadsgf Sgf_test_files/GSATProblems/_semeai_GSAT_007.sgf
49 solve_semeaiS D3 C3
#? [1 C1]

50 solve_semeaiS C3 D3
#? [1 (C1|C2|E1|D1)]

51 solve_semeaiS P2 O2
#? [1 Q1]

52 solve_semeaiS O2 P2
#? [1 (P1|Q1|R1|Q2)]

53 solve_semeaiS Q19 P19
#? [1 S15]

54 solve_semeaiS P19 Q19
#? [1 (S15|T19)]

55 solve_semeaiS D18 C18
#? [1 B19]

56 solve_semeaiS C18 D18
#? [1 (B19|F19|E19|D19)]

loadsgf Sgf_test_files/GSATProblems/_semeai_GSAT_008.sgf
57 solve_semeaiS C3 C2
#? [1 C1]

58 solve_semeaiS C2 C3
#? [1 (B1|C4|D4|E4|A2)]

59 solve_semeaiS Q2 R2
#? [1 S2]

60 solve_semeaiS R2 Q2
#? [1 (P2|P3|Q1|R1|S2|S3)]

61 solve_semeaiS P18 O18
#? [1 Q19]

62 solve_semeaiS O18 P18
#? [1 (Q19|P19|R19|S19)]

63 solve_semeaiS E16 D16
#? [1 E18]

64 solve_semeaiS D16 E16
#? [1 (F17|E17|E18|F18)]

loadsgf Sgf_test_files/GSATProblems/_semeai_GSAT_009.sgf
65 solve_semeaiS D2 C2
#? [1 D1]

66 solve_semeaiS C2 D2
#? [1 (D1|E1|F1)]

67 solve_semeaiS Q2 R2
#? [1 S1]

68 solve_semeaiS R2 Q2
#? [1 (P1|P2|O3|S1|S2)]

69 solve_semeaiS S17 R17
#? [1 S19]

70 solve_semeaiS R17 S17
#? [1 (S19|R19|R18)]

71 solve_semeaiS C18 C17
#? [1 B17]

72 solve_semeaiS C17 C18
#? [1 (B17|E19|C19)]

loadsgf Sgf_test_files/GSATProblems/_semeai_GSAT_010.sgf
73 solve_semeaiS D3 E3
#? [1 D1]

74 solve_semeaiS E3 D3
#? [1 (D1|E1|F1)]

75 solve_semeaiS Q4 R4
#? [1 R1]

76 solve_semeaiS R4 Q4
#? [1 (R1|Q1|O1|O3|R2)]

77 solve_semeaiS P19 Q19
#? [1 S19]

78 solve_semeaiS Q19 P19
#? [1 (O19|O18|O17|S19)]

79 solve_semeaiS C18 C17
#? [1 B17]

80 solve_semeaiS C17 C18
#? [1 (B17|C19|D19)]

loadsgf Sgf_test_files/GSATProblems/_semeai_GSAT_011.sgf
81 solve_semeaiS B4 B5
#? [1 A2]

82 solve_semeaiS B5 B4
#? [1 (A2|C1|E2)]

83 solve_semeaiS P3 Q3
#? [1 Q2]

84 solve_semeaiS Q3 P3
#? [1 (Q2|O4|O1)]

85 solve_semeaiS Q18 Q17
#? [1 T18]

86 solve_semeaiS Q17 Q18
#? [1 (T17|P19|Q19|S19)]

87 solve_semeaiS E18 D18
#? [1 B18]

88 solve_semeaiS D18 E18
#? [1 B18]


