#This file is part of STS-RV
#Copyright 2004, Ricard Vil
#
#STS-RV is distributed under GNU General Public License

#Semeai test suite for class s semeai with search 

# Miscellaneous Problems

#/***********************
# * Solving Semeai by S *
# ***********************/
#
#/* Function:  Call search algorithm to solve semeai.
# * Arguments: vertex for essential white/black block, vertex for essential black/white block. 
# * First color is assumed to play.
# * Fails:     invalid vertex, empty vertex, vertices of same colors
# * Returns:   Semeai status (if play) followed by move to play. 0=Looser, 1=Winner, 2=Seki, 3=Unknown, 4=Ko
# */
# gtp command: solve_semeaiS

loadsgf Sgf_test_files/MiscProblems/_semeai_C9_001.sgf
1 solve_semeaiS K1 J1
#? [4 G2]

2 solve_semeaiS J1 K1
#? [1 G1]

3 solve_semeaiS A7 A8
#? [1 B9]

4 solve_semeaiS A8 A7
#? [1 A10]

5 solve_semeaiS T9 T10
#? [1 (T15|S13|S11)]

6 solve_semeaiS T10 T9
#? [4 (S11|S13)]

loadsgf Sgf_test_files/MiscProblems/_semeai_C9_002.sgf
7 solve_semeaiS T6 T5
#? [1 N7]

8 solve_semeaiS T5 T6
#? [1 T7]

loadsgf Sgf_test_files/MiscProblems/_semeai_C9_003.sgf
9 solve_semeaiS F2 G2
#? [1 J1]

10 solve_semeaiS G2 F2
#? [1 D4]

loadsgf Sgf_test_files/MiscProblems/_semeai_C9_004.sgf
11 solve_semeaiS K9 J9
#? [1 L11]

12 solve_semeaiS J9 K9
#? [2 L11]

loadsgf Sgf_test_files/MiscProblems/_semeai_C9_005.sgf
13 solve_semeaiS B12 B13
#? [1 B9]

14 solve_semeaiS B13 B12
#? [2 B9]

loadsgf Sgf_test_files/MiscProblems/_semeai_C9_006.sgf
15 solve_semeaiS D18 D19
#? [1 (A18|C19)]

16 solve_semeaiS D19 D18
#? [1 (B19|C19|A18)]

loadsgf Sgf_test_files/MiscProblems/_semeai_C9_007.sgf
17 solve_semeaiS P17 P16
#? [1 (Q15|R15)]
   			
18 solve_semeaiS P16 P17
#? [1 N19]
   			
19 solve_semeaiS T3 T4	
#? [1 (T5|S5|R5|Q5|O1)]
   			
20 solve_semeaiS T4 T3	
#? [1 (O1|S2|R2|Q2)]
   			
21 solve_semeaiS E19 D19
#? [1 (C17|C16)]
   			
22 solve_semeaiS D19 E19
#? [1 (F17|F16)]
   			
23 solve_semeaiS C9 C10	
#? [1 (D11|A10)]
   			
24 solve_semeaiS C10 C9	
#? [1 (D11|A10)]

loadsgf Sgf_test_files/MiscProblems/_semeai_C9_008.sgf
25 solve_semeaiS P17 P16
#? [1 (P15|R15)]
   			
26 solve_semeaiS P16 P17
#? [1 (Q18|R18|S18)]
   			
27 solve_semeaiS T3 T4	
#? [1 (R5|Q5)]
   			
28 solve_semeaiS T4 T3	
#? [1 (R2|Q2)]
   			
29 solve_semeaiS E19 D19
#? [1 (C17|C16)]
   			
30 solve_semeaiS D19 E19
#? [1 (F17|F16)]
   			
31 solve_semeaiS C9 C10	
#? [1 (D11|A10)]
   			
32 solve_semeaiS C10 C9	
#? [1 (D11|A10)]

loadsgf Sgf_test_files/MiscProblems/_semeai_C9_009.sgf
33 solve_semeaiS F2 G2
#? [4 G1]

34 solve_semeaiS G2 F2
#? [1 G1]

loadsgf Sgf_test_files/MiscProblems/_semeai_C9_010.sgf
35 solve_semeaiS F2 G2
#? [1 J1]

36 solve_semeaiS G2 F2
#? [1 D4]

loadsgf Sgf_test_files/MiscProblems/_semeai_C9_011.sgf
37 solve_semeaiS F2 G2
#? [1 J1]

38 solve_semeaiS G2 F2
#? [1 D4]

loadsgf Sgf_test_files/MiscProblems/_semeai_C9_012.sgf
39 solve_semeaiS K9 J9
#? [1 (L11|O10|O12)]

40 solve_semeaiS J9 K9
#? [1 L11]

loadsgf Sgf_test_files/MiscProblems/_semeai_C9_013.sgf
41 solve_semeaiS B12 B13
#? [1 (A9|C19)]

42 solve_semeaiS B13 B12
#? [2 A9]

loadsgf Sgf_test_files/MiscProblems/_semeai_C9_014.sgf
43 solve_semeaiS B12 B13
#? [1 (B9|C19)]

44 solve_semeaiS B13 B12
#? [2 B9]

loadsgf Sgf_test_files/MiscProblems/_semeai_C9_015.sgf
45 solve_semeaiS D18 E18
#? [1 (D19|F19|H18)]

46 solve_semeaiS E18 D18
#? [1 D19]

loadsgf Sgf_test_files/MiscProblems/_semeai_C9_016.sgf
47 solve_semeaiS C11 C12
#? [1 A18]

48 solve_semeaiS C12 C11
#? [1 A18]

loadsgf Sgf_test_files/MiscProblems/_semeai_C9_017.sgf
49 solve_semeaiS J19 K19
#? [1 (S16|T19)]

50 solve_semeaiS K19 J19
#? [1 S16]

loadsgf Sgf_test_files/MiscProblems/_semeai_C9_018.sgf
51 solve_semeaiS K12 K13
#? [1 (O14|N14|M14|K14|H12)]

52 solve_semeaiS K13 K12
#? [1 H12]

loadsgf Sgf_test_files/MiscProblems/_semeai_C9_019.sgf
53 solve_semeaiS H18 G18
#? [1 E18]

54 solve_semeaiS G18 H18
#? [1 E18]


