#This file is part of STS-RV
#Copyright 2004, Ricard Vil
#
#STS-RV is distributed under GNU General Public License

# Semeai test suite for class s semeai with search 
# All problems in this test file obtained from: Richard Hunter,
# "Counting Liberties and Winning Capturing Races", Slate and Shell, 2003.
# Thanks to R. Hunter for allowing me to use his material for the STS


#/***********************
# * Solving Semeai by S *
# ***********************/
#
#/* Function:  Call search algorithm to solve semeai.
# * Arguments: vertex for essential white/black block, vertex for essential black/white block. 
# * First color is assumed to play.
# * Fails:     invalid vertex, empty vertex, vertices of same colors
# * Returns:   Semeai status (if play) followed by move to
# * play. 0=Looser, 1=Winner, 2=Seki, 3=Unknown, 4=Ko
# */
# gtp command: solve_semeaiS

loadsgf Sgf_test_files/RHunterProblems/pag055_P01P04.sgf
1 solve_semeaiS C11 D11
#? [1 (E9|F10|F11)]

2 solve_semeaiS D11 C11
#? [1 (A13|A9)]

3 solve_semeaiS O6 O5
#? [1 (O4|Q4|Q5|R3|T4)]

4 solve_semeaiS O5 O6
#? [1 (O7|Q7|T7|Q5)]

5 solve_semeaiS Q18 P18
#? [1 (P19|N19|O19|O16|Q19)]

6 solve_semeaiS P18 Q18
#? [1 (Q19|R18|R17|R15)]

7 solve_semeaiS E18 F18
#? [1 (F19|G19|H19)]

8 solve_semeaiS F18 E18
#? [1 (C19|D19|E19)]

loadsgf Sgf_test_files/RHunterProblems/pag055_P05P07.sgf
9 solve_semeaiS C19 D19
#? [1 (F18|F17|F16)]

10 solve_semeaiS D19 C19
#? [1 (A19|A17|B18|A15)]

11 solve_semeaiS S19 R19
#? [1 (M19|M16)]

12 solve_semeaiS R19 S19
#? [1 (T15|T14|T12)]

13 solve_semeaiS L2 K2
#? [1 PASS]

14 solve_semeaiS K2 L2
#? [0 PASS]

loadsgf Sgf_test_files/RHunterProblems/pag056_P08P11.sgf
15 solve_semeaiS O19 N19
#? [0 PASS]

16 solve_semeaiS N19 O19
#? [1 PASS]

17 solve_semeaiS F1 G1
#? [1 PASS]

18 solve_semeaiS G1 F1
#? [0 PASS]

19 solve_semeaiS A16 A17
#? [1 (A18|B18|C18)]

20 solve_semeaiS A17 A16
#? [1 B14]

21 solve_semeaiS Q2 R2
#? [1 (T4|T2|S2|Q2)]

22 solve_semeaiS R2 Q2
#? [1 (O6|N5|N4|M3|M2)]

loadsgf Sgf_test_files/RHunterProblems/pag056_P12P12.sgf
23 solve_semeaiS A12 A13
#? [1 (A14|B14|C14|D14|E13|E12|F11|F10|F9|F8|C5|B5|A5|D11)]*
#
24 solve_semeaiS A13 A12
#? [1 (D11|D10|B11|B9|D9|D8|C7)]*
#Nakade7_Side implied

loadsgf Sgf_test_files/RHunterProblems/pag147_P01P04.sgf
25 solve_semeaiS O18 N18
#? [1 (P19|O19|M19|M18)]

26 solve_semeaiS N18 O18 
#? [1 P19]

27 solve_semeaiS F19 E19
#? [1 D18]

28 solve_semeaiS E19 F19
#? [1 (G19|G18|G17|C19|D19|D18)]

29 solve_semeaiS C2 D2
#? [1 A1]

30 solve_semeaiS D2 C2
#? [1 (B1|D1)]

31 solve_semeaiS P2 Q2
#? [1 P1]

32 solve_semeaiS Q2 P2
#? [1 (Q1|S1|M1)]

loadsgf Sgf_test_files/RHunterProblems/pag147_P05P08.sgf
33 solve_semeaiS Q18 P18
#? [1 S19]

34 solve_semeaiS P18 Q18
#? [1 (P19|Q19|S19)]

35 solve_semeaiS E15 E16
#? [2 (C17|D17|A16|A15|A14)]

36 solve_semeaiS E16 E15
#? [1 (A12|A14|C15|D15|D14)]

37 solve_semeaiS C2 D2
#? [1 B1]*

38 solve_semeaiS D2 C2
#? [1 (C1|B1|B2|A2)]*
#Nakade_6Corner implied

39 solve_semeaiS P2 O2
#? [1 Q1]

40 solve_semeaiS O2 P2
#? [1 Q1]

loadsgf Sgf_test_files/RHunterProblems/pag189_P01.sgf
41 solve_semeaiS R17 R16
#? [1 T18]

42 solve_semeaiS R16 R17
#? [1 T18]

loadsgf Sgf_test_files/RHunterProblems/pag189_P02.sgf
43 solve_semeaiS G3 F3
#? [1 E1]

44 solve_semeaiS F3 G3
#? [1 (E2|E1|G1)]

loadsgf Sgf_test_files/RHunterProblems/pag189_P03.sgf
45 solve_semeaiS Q17 Q18
#? [1 P19]

46 solve_semeaiS Q18 Q17
#? [1 (R18|R16)]

loadsgf Sgf_test_files/RHunterProblems/pag189_P04.sgf
47 solve_semeaiS D8 D7
#? [4 A9]*
#WIN BY KO

48 solve_semeaiS D7 D8
#? [1 (D11|E10)]

loadsgf Sgf_test_files/RHunterProblems/pag189_P05.sgf
49 solve_semeaiS F4 E4
#? [1 D4]

50 solve_semeaiS E4 F4
#? [1 (D4|G6)]

loadsgf Sgf_test_files/RHunterProblems/pag189_P06.sgf
51 solve_semeaiS N18 M18
#? [1 N17]

52 solve_semeaiS M18 N18
#? [2 (N17|M16)]

53 solve_semeaiS G18 H18
#? [2 G14]

54 solve_semeaiS H18 G18
#? [1 (F15|G17)]

loadsgf Sgf_test_files/RHunterProblems/pag189_P07.sgf
55 solve_semeaiS R15 R16
#? [1 PASS]


56 solve_semeaiS R16 R15
#? [0 PASS]

loadsgf Sgf_test_files/RHunterProblems/pag189_P08.sgf
57 solve_semeaiS E2 D2 
#? [0 PASS]

58 solve_semeaiS D2 E2
#? [1 PASS]

59 solve_semeaiS G2 H4
#? [1 (G1|K7|J7|H6|H5)]
#G1 will not be detected will just play an opp. liberty.

60 solve_semeaiS H4 G2
#? [1 (G1|K1|D1)]

loadsgf Sgf_test_files/RHunterProblems/pag189_P09.sgf
61 solve_semeaiS S3 T3
#? [1 Q2]
#not going to solve it q2 will not be tested

62 solve_semeaiS T3 S3
#? [1 (R1|T1)]

loadsgf Sgf_test_files/RHunterProblems/pag189_P10.sgf
63 solve_semeaiS A4 A5
#? [0 PASS]

64 solve_semeaiS A5 A4
#? [1 PASS]

loadsgf Sgf_test_files/RHunterProblems/pag189_P11.sgf
65 solve_semeaiS R4 Q4
#? [4 O2]

66 solve_semeaiS Q4 R4
#? [1 (S3|P1|O2)]

loadsgf Sgf_test_files/RHunterProblems/pag189_P12.sgf
67 solve_semeaiS C4 C5
#? [1 B4]

68 solve_semeaiS C5 C4
#? [1 B4]

loadsgf Sgf_test_files/RHunterProblems/pag189_P13.sgf
69 solve_semeaiS P18 P17
#? [1 N17]

70 solve_semeaiS P17 P18
#? [1 (O19|N19)]

loadsgf Sgf_test_files/RHunterProblems/pag189_P14.sgf
71 solve_semeaiS H12 G12
#? [1 K15]
#not going to pass. k15 not even generated. plus long sequence plus lots of possible moves.

72 solve_semeaiS G12 H12
#? [1 (K15|K14|J4|H8)]

loadsgf Sgf_test_files/RHunterProblems/pag189_P15.sgf
73 solve_semeaiS B17 A17
#? [1 A18]

74 solve_semeaiS A17 B17
#? [1 A18]

loadsgf Sgf_test_files/RHunterProblems/pag189_P16.sgf
75 solve_semeaiS R19 S19
#? [2 O19]

76 solve_semeaiS S19 R19
#? [1 O19]

loadsgf Sgf_test_files/RHunterProblems/pag189_P17.sgf
77 solve_semeaiS C11 E11
#? [1 C12]

78 solve_semeaiS E11 C11
#? [1 C12]

loadsgf Sgf_test_files/RHunterProblems/pag189_P18.sgf
79 solve_semeaiS C11 E11
#? [1 B11]

80 solve_semeaiS E11 C11
#? [1 A11]

loadsgf Sgf_test_files/RHunterProblems/pag147_P09P10.sgf
81 solve_semeaiS D6 D5
#? [0 PASS]

82 solve_semeaiS D5 D6
#? [1 PASS]

83 solve_semeaiS Q14 Q13
#? [1 M14]

84 solve_semeaiS Q13 Q14
#? [1 M14]

loadsgf Sgf_test_files/RHunterProblems/pag147_P11P13.sgf
85 solve_semeaiS S11 S9
#? [1 T11]

86 solve_semeaiS S9 S11
#? [4 T14]

87 solve_semeaiS F17 E17
#? [1 E18]

88 solve_semeaiS E17 F17
#? [1 (E18|G19|D16|G18|E19)]

89 solve_semeaiS J3 J4
#? [1 K5]

90 solve_semeaiS J4 J3
#? [1 (H1|G1|E3|K5|L7)]

loadsgf Sgf_test_files/RHunterProblems/pag147_P14P16.sgf
91 solve_semeaiS F3 G3
#? [1 (G2|E3)]

92 solve_semeaiS G3 F3
#? [1 (G2|E3)]

93 solve_semeaiS G19 F19
#? [1 (E19|E18|E17|E16|E15)]

94 solve_semeaiS F19 G19
#? [1 (H19|K17|L19|H17|J16)]
