#This file is part of STS-RV
#Copyright 2004, Ricard Vil
#
#STS-RV is distributed under GNU General Public License

#Semeai test suite for class e semeai

#/***********************
# * Solving Semeai      *
# ***********************/
#/* Function:  Decide Semeai Status and move to play.  
# * Arguments: vertex for essential white/black block, vertex for essential black/white block. 
# * First color is assumed to play.
# * Fails:     invalid vertex, empty vertex, vertices of same colors
# * Returns:   Semeai status (if play) followed by move to play. 
# * 0=Looser, 1=Winner, 2=Seki, 3=Unknown, 4=Ko
# */
# gtp command: solve_semeaiS 

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_001.sgf
1 solve_semeaiS C19 D19
#? [1 B17]

2 solve_semeaiS D19 C19
#? [1 B17]

3 solve_semeaiS A6 A5
#? [2 PASS]

4 solve_semeaiS A5 A6
#? [2 PASS]

5 solve_semeaiS T4 T3
#? [1 (S2|R1)]

6 solve_semeaiS T3 T4
#? [2 (S2|R1)]

7 solve_semeaiS T19 R19
#? [1 P18]

8 solve_semeaiS R19 T19
#? [2 P18]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_002.sgf
9 solve_semeaiS A19 D19
#? [2 PASS]

10 solve_semeaiS D19 A19
#? [2 PASS]

11 solve_semeaiS N19 M19 
#? [2 PASS]*

12 solve_semeaiS M19 N19 
#? [2 PASS]*

13 solve_semeaiS T15 T16 
#? [2 PASS]

14 solve_semeaiS T16 T15 
#? [2 PASS]

15 solve_semeaiS A4 A9 
#? [2 B6]

16 solve_semeaiS A9 A4 
#? [1 B6]

17 solve_semeaiS Q1 R1
#? [2 O2]

18 solve_semeaiS R1 Q1
#? [1 O2]

19 solve_semeaiS O6 O5 
#? [2 PASS]

20 solve_semeaiS O5 O6 
#? [2 PASS]


loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_003.sgf
21 solve_semeaiS T9 T10 
#? [0 PASS]

22 solve_semeaiS T10 T9 
#? [1 PASS]

23 solve_semeaiS F19 M19 
#? [2 H18]

24 solve_semeaiS M19 F19 
#? [1 F16]

25 solve_semeaiS D1 K1 
#? [2 PASS]

26 solve_semeaiS K1 D1 
#? [2 PASS]

27 solve_semeaiS D12 C12
#? [2 PASS]

28 solve_semeaiS C12 D12
#? [2 PASS]

29 solve_semeaiS J14 J11
#? [2 (K14|L13)]

30 solve_semeaiS J11 J14
#? [1 (K14|L13)]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_004.sgf
31 solve_semeaiS A19 E19 
#? [2 B18]

32 solve_semeaiS E19 A19 
#? [1 B18]

33 solve_semeaiS M19 L19 
#? [2 PASS]

34 solve_semeaiS L19 M19 
#? [2 PASS]

35 solve_semeaiS H10 H9
#? [2 PASS]

36 solve_semeaiS H9 H10
#? [2 PASS]

37 solve_semeaiS R13 T16
#? [2 PASS]

38 solve_semeaiS T16 R13
#? [2 PASS]

39 solve_semeaiS A3 F3
#? [2 C2]

40 solve_semeaiS F3 A3
#? [1 A4]

41 solve_semeaiS M6 O2
#? [2 O5]

42 solve_semeaiS O2 M6 
#? [1 O5]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_005.sgf
43 solve_semeaiS G19 L19 
#? [2 PASS]

44 solve_semeaiS L19 G19 
#? [2 PASS]

45 solve_semeaiS A14 A10
#? [2 PASS]

46 solve_semeaiS A10 A14
#? [2 PASS]

47 solve_semeaiS M13 Q13
#? [2 N10]

48 solve_semeaiS Q13 M13 
#? [1 N10]

49 solve_semeaiS F8 E8
#? [2 G6]

50 solve_semeaiS E8 F8
#? [1 G6]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_006.sgf
51 solve_semeaiS A19 E19 
#? [2 PASS]

52 solve_semeaiS E19 A19 
#? [2 PASS]

53 solve_semeaiS L19 K19 
#? [2 N18]

54 solve_semeaiS K19 L19 
#? [1 N18]

55 solve_semeaiS R13 R7
#? [2 PASS]

56 solve_semeaiS R7 R13
#? [2 PASS]

57 solve_semeaiS F7 F8
#? [2 PASS]

58 solve_semeaiS F8 F7
#? [2 PASS]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_007.sgf
59 solve_semeaiS G19 K19 
#? [2 H18]

60 solve_semeaiS K19 G19 
#? [1 H18]

61 solve_semeaiS A13 E13 
#? [2 PASS]

62 solve_semeaiS E13 A13
#? [2 PASS]

63 solve_semeaiS M13 P13
#? [2 PASS]

64 solve_semeaiS P13 M13 
#? [2 PASS]

65 solve_semeaiS R6 P5
#? [2 S4]

66 solve_semeaiS P5 R6 
#? [1 S4]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_008.sgf
67 solve_semeaiS Q19 P19 
#? [2 S17]

68 solve_semeaiS P19 Q19 
#? [1 S17]

69 solve_semeaiS F13 F14
#? [2 PASS]

70 solve_semeaiS F14 F13
#? [2 PASS]

71 solve_semeaiS A7 A8
#? [2 B5]

72 solve_semeaiS A8 A7
#? [1 B5]

73 solve_semeaiS M6 M7
#? [2 N4]

74 solve_semeaiS M7 M6 
#? [1 N4]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_009.sgf
75 solve_semeaiS A19 E19 
#? [2 PASS]

76 solve_semeaiS E19 A19 
#? [2 PASS]

77 solve_semeaiS M13 M14
#? [2 (N11|O12)]

78 solve_semeaiS M14 M13 
#? [1 (N11|O12)]

79 solve_semeaiS F7 F8
#? [2 PASS]

80 solve_semeaiS F8 F7
#? [2 PASS]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_010.sgf
81 solve_semeaiS G19 E19 
#? [0 PASS]

82 solve_semeaiS E19 G19 
#? [1 PASS]

83 solve_semeaiS A13 A14 
#? [2 PASS]

84 solve_semeaiS A14 A13
#? [2 PASS]

85 solve_semeaiS M6 M8
#? [2 (O5|O4)]

86 solve_semeaiS M8 M6 
#? [1 O5]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_011.sgf
87 solve_semeaiS M19 L19 
#? [2 PASS]

88 solve_semeaiS L19 M19 
#? [2 PASS]

89 solve_semeaiS F13 F14
#? [2 H11]

90 solve_semeaiS F14 F13
#? [1 H11]

91 solve_semeaiS A7 A8
#? [2 C5]

92 solve_semeaiS A8 A7
#? [1 C5]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_012.sgf
93 solve_semeaiS A19 E19 
#? [2 B16]*

94 solve_semeaiS E19 A19 
#? [4 B16]*

95 solve_semeaiS O13 O14
#? [2 (Q11|Q12)]*

96 solve_semeaiS O14 O13 
#? [4 Q12]*

97 solve_semeaiS G7 G8
#? [2 (J5|H5)]*

98 solve_semeaiS G8 G7
#? [4 H5]*

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_013.sgf
99 solve_semeaiS G19 E19 
#? [4 J17]*

100 solve_semeaiS E19 G19 
#? [1 J17]*

101 solve_semeaiS A13 A14 
#? [2 PASS]

102 solve_semeaiS A14 A13
#? [2 PASS]

103 solve_semeaiS O7 O8
#? [2 Q5]

104 solve_semeaiS O8 O7 
#? [1 Q5]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_014.sgf
105 solve_semeaiS O19 N19 
#? [2 (Q18|P18)]*

106 solve_semeaiS N19 O19 
#? [4 P18]*

107 solve_semeaiS G13 G14
#? [2 (J12|H11)]

108 solve_semeaiS G14 G13
#? [1 (J12|H11)]

109 solve_semeaiS A7 A8
#? [2 (B5|C5)]*

110 solve_semeaiS A8 A7
#? [4 C5]*

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_015.sgf
111 solve_semeaiS A19 E19 
#? [2 PASS]

112 solve_semeaiS E19 A19 
#? [2 PASS]

113 solve_semeaiS O13 O14
#? [2 Q11]

114 solve_semeaiS O14 O13 
#? [1 Q11]

115 solve_semeaiS G7 G8
#? [0 PASS]

116 solve_semeaiS G8 G7
#? [1 PASS]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_016.sgf
117 solve_semeaiS G19 L19 
#? [4 J17]*

118 solve_semeaiS L19 G19 
#? [1 H16]

119 solve_semeaiS A4 A5
#? [2 C2]

120 solve_semeaiS A5 A4
#? [1 C2]

121 solve_semeaiS O7 O8
#? [0 PASS]

122 solve_semeaiS O8 O7 
#? [1 PASS]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_017.sgf
123 solve_semeaiS O19 L19 
#? [2 (Q19|P18)]

124 solve_semeaiS L19 O19 
#? [1 (Q19|P18)]

125 solve_semeaiS G13 G14
#? [2 PASS]

126 solve_semeaiS G14 G13
#? [2 PASS]

127 solve_semeaiS A7 A8
#? [2 B4]

128 solve_semeaiS A8 A7
#? [1 B4]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_018.sgf
129 solve_semeaiS A19 E19 
#? [2 C17]

130 solve_semeaiS E19 A19 
#? [1 B18]

131 solve_semeaiS O13 O14
#? [2 PASS]

132 solve_semeaiS O14 O13 
#? [2 PASS]

133 solve_semeaiS G7 G8
#? [2 K5]

134 solve_semeaiS G8 G7
#? [1 K5]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_019.sgf
135 solve_semeaiS G19 E19 
#? [2 K17]

136 solve_semeaiS E19 G19 
#? [1 K17]

137 solve_semeaiS A13 A14 
#? [2 C11]

138 solve_semeaiS A14 A13
#? [1 C11]

139 solve_semeaiS O7 O8
#? [2 Q5]

140 solve_semeaiS O8 O7 
#? [1 Q5]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_020.sgf
141 solve_semeaiS O19 N19 
#? [2 R18]

142 solve_semeaiS N19 O19 
#? [1 R18]

143 solve_semeaiS G13 G14
#? [0 PASS]

144 solve_semeaiS G14 G13
#? [1 PASS]

145 solve_semeaiS A7 A9
#? [2 C5]

146 solve_semeaiS A9 A7
#? [1 C4]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_021.sgf
147 solve_semeaiS A19 F19 
#? [2 PASS]

148 solve_semeaiS F19 A19 
#? [2 PASS]

149 solve_semeaiS O13 N13
#? [2 PASS]

150 solve_semeaiS N13 O13 
#? [2 PASS]

151 solve_semeaiS G7 G8
#? [2 J5]

152 solve_semeaiS G8 G7
#? [1 J4]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_022.sgf
153 solve_semeaiS G19 F19 
#? [2 PASS]

154 solve_semeaiS F19 G19 
#? [2 PASS]

155 solve_semeaiS A13 A8
#? [2 B11]

156 solve_semeaiS A8 A13
#? [1 B11]

157 solve_semeaiS O7 O8
#? [2 PASS]

158 solve_semeaiS O8 O7 
#? [2 PASS]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_023.sgf
159 solve_semeaiS O19 N19 
#? [2 (Q18|R17)]

160 solve_semeaiS N19 O19 
#? [1 (Q18|R17)]

161 solve_semeaiS G13 G14
#? [2 J11]

162 solve_semeaiS G14 G13
#? [1 J11]

163 solve_semeaiS A7 A8
#? [2 PASS]

164 solve_semeaiS A8 A7
#? [2 PASS]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_024.sgf
165 solve_semeaiS A3 A4
#? [1 (A5|B5)]

166 solve_semeaiS A4 A3
#? [1 F1]

167 solve_semeaiS T3 T4
#? [1 (Q5|R5|S5|T5)]

168 solve_semeaiS T4 T3
#? [1 (T2|S1)]

169 solve_semeaiS A17 A16
#? [1 A19]

170 solve_semeaiS A16 A17
#? [1 D19]

171 solve_semeaiS T17 T16
#? [0 PASS]

172 solve_semeaiS T16 T17
#? [1 PASS]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_025.sgf
173 solve_semeaiS A3 A4
#? [2 PASS]

174 solve_semeaiS A4 A3
#? [2 PASS]

175 solve_semeaiS T3 T4
#? [1 S2]

176 solve_semeaiS T4 T3
#? [1 S2]

177 solve_semeaiS A17 A16
#? [1 (F19|E16)]

178 solve_semeaiS A16 A17
#? [1 D19]

179 solve_semeaiS T17 T16
#? [1 (P19|P18|P17)]

180 solve_semeaiS T16 T17
#? [1 (S19|S18|T18)]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_026.sgf
181 solve_semeaiS A3 A4
#? [1 C1]

182 solve_semeaiS A4 A3
#? [1 A1]

183 solve_semeaiS T4 T5
#? [4 T1]*

184 solve_semeaiS T5 T4
#? [1 T1]

185 solve_semeaiS A17 A16
#? [1 B18]

186 solve_semeaiS A16 A17
#? [1 (D19|D18)]

187 solve_semeaiS T17 T16
#? [1 T19]

188 solve_semeaiS T16 T17
#? [2 T19]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_027.sgf
189 solve_semeaiS A3 A4	     
#? [1 A1]

190 solve_semeaiS A4 A3	     
#? [1 F1]

191 solve_semeaiS T3 T4	     
#? [1 PASS]

192 solve_semeaiS T4 T3	     
#? [0 PASS]

193 solve_semeaiS A17 A16     
#? [1 A19]

194 solve_semeaiS A16 A17     
#? [1 D19]

195 solve_semeaiS T17 T16     
#? [1 (P19|P18)]

196 solve_semeaiS T16 T17     
#? [1 (S19|T18)]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_028.sgf
197 solve_semeaiS A15 A14  
#? [2 A17]

198 solve_semeaiS A14 A15  
#? [1 A17]

199 solve_semeaiS A2 A1    
#? [2 A5]

200 solve_semeaiS A1 A2    
#? [1 A3]*

201 solve_semeaiS K1 H1    
#? [2 L2]

202 solve_semeaiS H1 K1    
#? [1 M1]

203 solve_semeaiS T10 T11
#? [2 PASS]

204 solve_semeaiS T11 T10
#? [2 PASS]

205 solve_semeaiS Q19 R18
#? [2 O19]

206 solve_semeaiS R18 Q19
#? [1 O19]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_029.sgf
207 solve_semeaiS A9 A8    
#? [2 A11]

208 solve_semeaiS A8 A9    
#? [1 C13]

209 solve_semeaiS Q1 P1
#? [2 S1]

210 solve_semeaiS P1 Q1
#? [1 S1]

211 solve_semeaiS T16 T17
#? [2 T14]

212 solve_semeaiS T17 T16
#? [1 T14]

213 solve_semeaiS K19 L19
#? [2 PASS]

214 solve_semeaiS L19 K19
#? [2 PASS]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_030.sgf
215 solve_semeaiS A15 A14
#? [2 A16]

216 solve_semeaiS A14 A15
#? [1 A16]

217 solve_semeaiS A1 D1
#? [2 (A2|B2)]

218 solve_semeaiS D1 A1
#? [1 A2]

219 solve_semeaiS K1 L1
#? [2 PASS]

220 solve_semeaiS L1 K1
#? [2 PASS]

221 solve_semeaiS T4 T3
#? [2 (T7|S5)]

222 solve_semeaiS T3 T4
#? [1 T7]

223 solve_semeaiS N19 M19
#? [2 (P19|O19)]

224 solve_semeaiS M19 N19
#? [1 P19]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_031.sgf
225 solve_semeaiS A8 A7
#? [2 B9]

226 solve_semeaiS A7 A8
#? [1 (C12|C13)]*
#Vital Point outside the eye

227 solve_semeaiS R1 S1
#? [2 (P1|N2)]

228 solve_semeaiS S1 R1
#? [1 P1]

229 solve_semeaiS T11 T10
#? [2 T14]

230 solve_semeaiS T10 T11
#? [1 T14]

231 solve_semeaiS L19 M19
#? [2 H18]

232 solve_semeaiS M19 L19
#? [1 H18]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_032.sgf
233 solve_semeaiS A15 A14
#? [2 (A17|B17)]

234 solve_semeaiS A14 A15
#? [1 D15]

235 solve_semeaiS A3 D1
#? [2 B5]

236 solve_semeaiS D1 A3
#? [1 B5]

237 solve_semeaiS P1 Q1
#? [2 O1]

238 solve_semeaiS Q1 P1
#? [1 (M2|O1)]

239 solve_semeaiS T11 T12
#? [2 PASS]

240 solve_semeaiS T12 T11
#? [2 PASS]

241 solve_semeaiS L19 K19
#? [2 PASS]

242 solve_semeaiS K19 L19
#? [2 PASS]

loadsgf Sgf_test_files/Class01eProblems/_semeai_Ce_033.sgf
243 solve_semeaiS A9 A8
#? [0 PASS]

244 solve_semeaiS A8 A9
#? [1 PASS]

245 solve_semeaiS J1 K1
#? [2 (H1|G2|F2)]

246 solve_semeaiS K1 J1
#? [1 (H1|G2|F2)]

247 solve_semeaiS T5 T6
#? [0 PASS]

248 solve_semeaiS T6 T5
#? [1 PASS]

249 solve_semeaiS T17 T18
#? [2 S16]

250 solve_semeaiS T18 T17
#? [1 T14]

251 solve_semeaiS J19 K19
#? [2 PASS]

252 solve_semeaiS K19 J19
#? [2 PASS]
